import React from 'react'
import PropTypes from 'prop-types'

const GoogleMap = ({
  title,
  styles = { width: '100%', height: '400px' },
  zoom = 10,
  placeId,
}) => {
  const key = 'AIzaSyC15_MCJvlfBq_0WUom3_SyxliaTMiNxRY'
  const basePath = 'https://www.google.com/maps/embed/v1/place'
  const query = `place_id:${placeId}`
  const src = `${basePath}?zoom=${zoom}&key=${key}&q=${query}`

  return (
    <iframe
      title={title}
      width={styles.width}
      height={styles.height}
      frameBorder='0'
      style={{ border: 0 }}
      src={src}
    />
  )
}

GoogleMap.propTypes = {
  title: PropTypes.string.isRequired,
  zoom: PropTypes.string,
  placeId: PropTypes.string.isRequired,
  styles: PropTypes.shape({
    width: PropTypes.string,
    height: PropTypes.string,
  }),
}

export default GoogleMap
